Installing X11 and GTK for use with Gruff on the Mac

If you have any difficulty, please contact support@franz.com for assistance.

You need GTK and X11 to run Gruff. Installation of GTK has been (as of April, 2011) greatly simplified, with 32-bit and 64-bit installation unified. The install X11 and GTK, simply do the following:

  1. Install X11.app. For Mac OS X 10.8 (Mountain Lion) you download and install XQuartz. For earlier versions of Mac OS X, it can be found on your installation medium.
  2. Download http://franz.com/ftp/pub/macosx/GTK+-Framework-2.22.dmg.
  3. Open GTK+-Framework-2.22.dmg.
  4. In the Finder window that pops up, drag the Gtk.framework file onto Frameworks (an alias for /Library/Frameworks) on the right. This will install the Gtk framework in the right place on your system.

    If you should get an error message about insufficient permissions, it's likely you have an older version of the framework installed. To get rid of the old version, type this into a terminal window:

    sudo rm -rf /Library/Frameworks/{Gtk,Cairo,GLib}.framework

    and retry steps 3 and 4.

After X11 and Gtk file are installed, you are ready to run Gruff.

Copyright © 2014 Franz Inc., All Rights Reserved | Privacy Statement
Delicious Google Buzz Twitter Google+